aboutsummaryrefslogtreecommitdiffstats
path: root/doc/build.sh
diff options
context:
space:
mode:
author1138-4EB <1138-4EB@users.noreply.github.com>2019-02-23 23:03:41 +0100
committertgingold <tgingold@users.noreply.github.com>2019-02-25 07:28:45 +0100
commitfb6fa7ceced6e74ae02ed24b92a488c6e65d3404 (patch)
treee868b6cb14074b81618d148d9f58077fb308924d /doc/build.sh
parent5040ad31d9e7ac3f7d459e388b734a917ce412f2 (diff)
downloadghdl-fb6fa7ceced6e74ae02ed24b92a488c6e65d3404.tar.gz
ghdl-fb6fa7ceced6e74ae02ed24b92a488c6e65d3404.tar.bz2
ghdl-fb6fa7ceced6e74ae02ed24b92a488c6e65d3404.zip
doc: add custom directive 'exec', generate releases shields and tables
with json data retrieved from github api"
Diffstat (limited to 'doc/build.sh')
-rw-r--r--doc/build.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/doc/build.sh b/doc/build.sh
new file mode 100644
index 000000000..98d9039b9
--- /dev/null
+++ b/doc/build.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)/..
+
+$(command -v winpty) docker run --rm -t \
+ -v /$(pwd)://src \
+ -w //src/doc \
+ btdi/sphinx:py3-featured sh -c "$(cat <<-EOF
+pip install -r requirements.txt
+sphinx-build -T -b html -D language=en . _build/html
+sphinx-build -T -b latex -D language=en . _build/latex
+EOF
+)"
+
+$(command -v winpty) docker run --rm -t \
+ -v /$(pwd)://src \
+ -w //src/doc \
+ btdi/latex sh -c "$(cat <<-EOF
+cd _build/latex
+FILE=\"\`ls *.tex | sed -e 's/\.tex//'\`\"
+pdflatex -interaction=nonstopmode \$FILE.tex;
+makeindex -s python.ist \$FILE.idx;
+pdflatex -interaction=nonstopmode \$FILE.tex;
+EOF
+)"